/**
 *
 */
package de.intevation.gnv.transition;

import java.util.ArrayList;
import java.util.Collection;

import org.apache.log4j.Logger;

import de.intevation.gnv.geobackend.base.Result;
import de.intevation.gnv.transition.describedata.DefaultSingleValueDescribeData;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class SingleInputTransition extends TransitionBase {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(SingleInputTransition.class);
    
    /**
     *
     */
    private static final long serialVersionUID = -6169497306324917318L;

    /**
     * Constructor
     */
    public SingleInputTransition() {
    }

    /**
     * @see de.intevation.gnv.transition.Transition#validate()
     */
    public boolean validate() {
        return true;
    }

    @Override
    protected void purifyResult(Collection<Result> result) {
        log.debug("SingleInputTransition.purifyResult");
        if (this.descibeData == null){
            this.descibeData = new ArrayList<Object>();
        }
        String value = null;
        if (result != null && result.size() == 1){
            Result tmpItem = result.iterator().next();
            value = tmpItem.getObject("MAX").toString();
        }else{
            value = "";
        }
        
        this.descibeData.add(new DefaultSingleValueDescribeData(this.dataName, value));
    }
    

}
